Draft Wire
|
Menu location |
---|
Drafting → Polyline 2D Drafting → Polyline |
Workbenches |
Draft, BIM |
Default shortcut |
P L |
Introduced in version |
0.7 |
See also |
Draft Line, Draft BSpline |
Description
The Draft Wire command creates a polyline, a sequence of several connected line segments. The command can also be used to join Draft Lines and Draft Wires.
The corners of a Draft Wire can be filleted (rounded) or chamfered by changing its DataFillet Radius or DataChamfer Size respectively. It is also possible to subdivide the edges of a Draft Wire by changing its DataSubdivisions property.
Wire defined by multiple points
Create
Usage
See also: Draft Tray, Draft Snap and Draft Constrain.
- There are several ways to invoke the command:
- The Polyline task panel opens. See Options for more information.
- Pick the first point in the 3D view, or type coordinates and press the
Enter point button.
- Pick additional points in the 3D view, or type coordinates and press the
Enter point button.
- Press Esc or the Close button to finish the command.
Options
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 1.0).
- To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, coordinates are relative to the last point, if available, else they are relative to the coordinate system origin.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
- Press F or click the Filled checkbox to toggle filled mode. If filled mode is on, the created wire will have DataMake Face set to
true
and will have a filled face, provided it is closed and does not self-intersect. Note that a self-intersecting wire with a face will not display properly, for such a wire DataMake Face must be set tofalse
. - Press N or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after using
Finish or
Close, or after creating a closed wire by snapping to the first point of the wire, allowing you to continue creating wires.
- Press / or the
Undo button to undo the last point.
- Press A or the
Finish button to finish the command and leave the wire open.
- Press O or the
Close button to finish the command and close the wire. A closed wire can also be created by snapping to the first point of the wire.
- Press W or the
Wipe button to delete the segments already placed, but keep working from the last point.
- Press U or the
Set WP button to adjust the current working plane in the orientation of the last segment.
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to finish the command.
Join
Usage
- The end points of the Draft Lines and/or Draft Wires to be joined must be exactly coincident. If required first adjust points to ensure that this is the case.
- Select two or more Draft Lines and/or Draft Wires.
- There are several ways to invoke the command:
- Press the
Draft Wire button.
- Select the Drafting →
Polyline option from the menu.
- Use the keyboard shortcut: P then L.
- Press the
Notes
- A Draft Wire can be edited with the Draft Edit command.
- A Draft Wire can be converted to a Draft BSpline with the Draft WireToBSpline command.
- Draft Lines and Draft Wires can also be joined with the Draft Join command or the Draft Upgrade command.
Properties
See also: Property editor.
A Draft Wire object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
- DataArea (
Area
): (read-only) specifies the area of the face of the wire. The value will be0.0
if DataMake Face isfalse
or the face cannot be created. - DataBase (
Link
) - DataChamfer Size (
Length
): specifies the length of the chamfers at the corners of the wire. - DataClosed (
Bool
): specifies if the wire is closed or not. If the wire is initially open this value isfalse
, setting it totrue
will draw a line segment to close the wire. If the wire is initially closed this value istrue
, setting it tofalse
will remove the last line segment and make the wire open. - DataEnd (
VectorDistance
): specifies the end point of the wire. - DataFillet Radius (
Length
): specifies the radius of the fillets at the corners of the wire. - DataLength (
Length
): (read-only) specifies the total length of the wire. - DataMake Face (
Bool
): specifies if the wire makes a face or not. If it istrue
a face is created, otherwise only the edges are considered part of the object. This property only works if DataClosed istrue
and if the wire does not self-intersect. - DataPoints (
VectorList
): specifies the points of the wire in its local coordinate system. - DataStart (
VectorDistance
): specifies the start point of the wire. - DataSubdivisions (
Integer
): specifies the number of subdivisions for each edge of the wire. If it is1
each edge will be divided into2
equal segments. Subdivisions are applied before chamfers and fillets. - DataTool (
Link
)
View
Draft
- ViewArrow Size (
Length
): specifies the size of the symbol displayed at the end of the wire. - ViewArrow Type (
Enumeration
): specifies the type of symbol displayed at the end of the wire, which can beDot
,Circle
,Arrow
,Tick
orTick-2
. - ViewEnd Arrow (
Bool
): specifies whether to show a symbol at the end of the wire, so it can be used as an annotation line. - ViewPattern (
Enumeration
): specifies the Draft Pattern with which to fill the face of the closed wire. This property only works if DataMake Face istrue
and if ViewDisplay Mode isFlat Lines
. - ViewPattern Size (
Float
): specifies the size of the Draft Pattern.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Wire use the make_wire
method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeWire
method.
wire = make_wire(pointslist, closed=False, placement=None, face=None, support=None)
wire = make_wire(Part.Wire, closed=False, placement=None, face=None, support=None)
- Creates a
Wire
object with the given list of points,pointslist
.- Each point in the list is defined by its
FreeCAD.Vector
, with units in millimeters. - Alternatively, the input can be a
Part.Wire
, from which points are extracted.
- Each point in the list is defined by its
- If
closed
isTrue
, or if the first and last points are identical, the wire is closed. - If
placement
isNone
the shape is created at the origin. - If
face
isTrue
, and the wire is closed, the wire will make a face, that is, it will appear filled.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)
wire1 = Draft.make_wire([p1, p2, p3], closed=True)
wire2 = Draft.make_wire([p1, 2*p3, 1.3*p2], closed=True)
wire3 = Draft.make_wire([1.3*p3, p1, -1.7*p2], closed=True)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path link array, Point array, Point link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap lock, Snap endpoint, Snap midpoint, Snap center, Snap angle, Snap intersection, Snap perpendicular, Snap extension, Snap parallel, Snap special, Snap near, Snap ortho, Snap grid, Snap working plane, Snap dimensions, Toggle grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Text: Open hyperlinks
- Wire: Flatten
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub